<?php

/**
 * @file
 * diff_different.admin.inc
 */

/**
 * Global admin settings form.
 *
 * @param array $form
 * @param array $form_state
 *
 * @return array $form
 */
function diff_different_admin_settings($form, $form_state) {
  $form['diff_different_content_types'] = array(
    '#type' => 'checkboxes',
    '#title' => t('Enabled content types'),
    '#default_value' => variable_get('diff_different_content_types', array()),
    '#options' => node_type_get_names(),
    '#description' => t('Apply the <em>Diff Different</em> display style of the full page view to the selected content types.'),
  );
  $form['diff_different_relative_weight'] = array(
    '#type' => 'select',
    '#title' => t('Position of the <em>Diff</em> side-by-side comparison'),
    '#default_value' => variable_get('diff_different_relative_weight', 0),
    '#options' => array(
      0 => t('Below the content body'),
      -1 => t('Above the content body'),
    ),
    '#description' => t(''),
  );
  return system_settings_form($form);
}
